function [OutCellArray, Outconfig]=MapMedianFilter(InCellArray, Inconfig)
%MapMedianFilter exerts a median filting to the map loaded.
%
%Inputs: Map
%Outputs: Map
%
%Author: Tianquan Su
%Email: tsu@optics.arizona.edu
%
% Version history:
% 2010-10-04 - Version 1

OutCellArray{1}=InCellArray{1};
OutCellArray{1}.type='map';


Outconfig=Inconfig;

data = InCellArray{1}.data;

n=isnan(data);

data(n)=0;


default={'3'};
answers = inputdlg({'Kernel Size (pixels)'},'MapMidPas',1,default);

a=str2double(answers); %a is the kernel size
if(isnan(a))
    errordlg('invalid kernel size');
end

data2=medfilt2(data, [a a]);

data2(n)=NaN;

OutCellArray{1}.data=data2;

end

